static inline void __pud_free_tlb(struct mmu_gather *tlb, pud_t *pudp,
                                  unsigned long addr)
{
	#ifdef CONFIG_PTP
	iee_tlb_remove_ptdesc(tlb, virt_to_ptdesc(pudp));
	#else
	tlb_remove_ptdesc(tlb, virt_to_ptdesc(pudp));
	#endif
}
